#pragma once
#ifndef MYCO2_H
#define MYCO2_H

// Arduino libs
#include <Arduino.h>
// libs for MQTT
#include <PubSubClient.h>
// lib for software serial
#include <SoftwareSerial.h>

// exernal defined variables we need
extern int co2;
extern SoftwareSerial SerialCO2;
extern PubSubClient *client;
extern String mqtt_clientid;

// defined methods
void doCO2();
int get_CO2();

#endif
