#pragma once
#ifndef MYWIFI_H
#define MYWIFI_H

// Arduino libs
#include <Arduino.h>
// libs for WiFi 
#include <WiFiClient.h>
#include <ESP8266WiFi.h>
// libs for SPIFFS
#include "myspiffs.h"

// exernal defined variables we need
extern String wifi_ssid;
extern String wifi_pass;

// defined methods
void connectWIFI();
String macToStr(const uint8_t* mac);
String generateSSID();

#endif
