#include "mymqtt.h"

void connectMQTT() {
  // give up after first try!
  if(mqtt_connect_count<1)
  {
    // set the server data
    client->setServer(mqtt_server.c_str(), mqtt_port.toInt());
    //client.setCallback(callback);
    
    // (loop until we're reconnected)
    // connect (only once ...)
    if (!client->connected()) {
      Serial.print("Attempting MQTT connection...");
      // Attempt to connect
      if (client->connect(mqtt_clientid.c_str(),mqtt_user.c_str(),mqtt_pass.c_str())) {
        Serial.println("connected");
        // subscribe to event
        //client.subscribe("reewaasserpompelstarter.pushbutton");
        mqtt_connect_count=0;
      } 
      else 
      {
        Serial.print(millis());
        Serial.print(" > failed, rc=");
        Serial.println(client->state());
        //Serial.println(" try again in 5 seconds");
        // Wait 5 seconds before retrying
        //delay(5000);
        mqtt_connect_count++;
      }
    }
  }
}
